﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Application.Models
{
    public class AttendanceDto : EntityDto
    {
        [Required]
        public string UserId { get; set; }
        public string? UserName { get; set; }
        public DateTime? CheckInTime { get; set; }
        public DateTime? CheckOutTime { get; set; }
        public DateTime AttendanceDate { get; set; }
        public string? WeekDay { get; set; }
        public CheckOutEnum LeaveType { get; set; }

        [MaxLength(250)]
        public string? LeaveReason { get; set; }
        


    }
}
